AbstractBinaryWritingIFDocumentHandler (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.intermediate

## Class AbstractBinaryWritingIFDocumentHandler

- java.lang.Object
- - org.apache.fop.render.intermediate.AbstractIFDocumentHandler
  - - org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler

- All Implemented Interfaces:
    IFDocumentHandler
  Direct Known Subclasses:
    AbstractBitmapDocumentHandler, AFPDocumentHandler, PCLDocumentHandler, PDFDocumentHandler, PSDocumentHandler

      public abstract class AbstractBinaryWritingIFDocumentHandler
      extends AbstractIFDocumentHandler

  Abstract base class for binary-writing `IFDocumentHandler` implementations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FontInfo` | `fontInfo` Font configuration
    `protected java.io.OutputStream` | `outputStream` The output stream to write the document to

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBinaryWritingIFDocumentHandler(IFContext ifContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endDocument()` Indicates the end of a document.
    `FontInfo` | `getFontInfo()` Returns the font set to work with.
    `void` | `setDefaultFontInfo(FontInfo fontInfo)` Sets the default font set (with no custom configuration).
    `void` | `setFontInfo(FontInfo fontInfo)` Sets the font set to work with.
    `void` | `setResult(javax.xml.transform.Result result)` Sets the JAXP Result object to receive the generated content.
    `void` | `startDocument()` Indicates the start of a document.

    - ### Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandler

      `endDocumentHeader, endDocumentTrailer, endPageHeader, endPageTrailer, getContext, getDocumentNavigationHandler, getStructureTreeEventHandler, getUserAgent, setDocumentLocale, startDocumentHeader, startDocumentTrailer, startPageHeader, startPageTrailer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.fop.render.intermediate.IFDocumentHandler

      `endPage, endPageContent, endPageSequence, getConfigurator, getMimeType, handleExtensionObject, startPage, startPageContent, startPageSequence, supportsPagesOutOfOrder`

- - ### Field Detail

    - #### outputStream

          protected java.io.OutputStream outputStream

      The output stream to write the document to

    - #### fontInfo

          protected FontInfo fontInfo

      Font configuration

  - ### Constructor Detail

    - #### AbstractBinaryWritingIFDocumentHandler

          public AbstractBinaryWritingIFDocumentHandler(IFContext ifContext)

  - ### Method Detail

    - #### setResult

          public void setResult(javax.xml.transform.Result result)
                         throws IFException

      Sets the JAXP Result object to receive the generated content.
      Parameters:
        `result` - the JAXP Result object to receive the generated content
      Throws:
        `IFException` - if an error occurs setting up the output

    - #### getFontInfo

          public FontInfo getFontInfo()

      Returns the font set to work with.
      Returns:
        the font info object

    - #### setFontInfo

          public void setFontInfo(FontInfo fontInfo)

      Sets the font set to work with.
      Parameters:
        `fontInfo` - the font info object

    - #### setDefaultFontInfo

          public void setDefaultFontInfo(FontInfo fontInfo)

      Sets the default font set (with no custom configuration).
      Parameters:
        `fontInfo` - the font info object to populate

    - #### startDocument

          public void startDocument()
                             throws IFException

      Indicates the start of a document. This method may only be called once before any other event method.
      Specified by:
        `startDocument` in interface `IFDocumentHandler`
      Overrides:
        `startDocument` in class `AbstractIFDocumentHandler`
      Throws:
        `IFException` - if an error occurs while handling this event

    - #### endDocument

          public void endDocument()
                           throws IFException

      Indicates the end of a document. This method may only be called once after the whole document has been handled. Implementations can release resources (close streams). It is an error to call any event method after this method.
      Throws:
        `IFException` - if an error occurs while handling this event

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.